%global drupaldir %{_datadir}/drupal6
Name:      drupal6-ctools
Version:   1.10
Release:   3%{?dist}
Summary:   This suite is primarily a set of APIs and tools

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/ctools
Source0:   http://ftp.drupal.org/files/projects/ctools-6.x-%{version}.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
This suite is primarily a set of APIs and tools
to improve the developer experience.
It also contains a module called the Page Manager whose job is to manage pages.
In particular it manages panel pages,
but as it grows it will be able to manage far more than just Panels.

For the moment, it includes the following tools:

Plug-ins -- tools to make it easy for modules
to let other modules implement plug-ins from .inc files.

Ex-portables -- tools to make it easier for modules to have objects
that live in database or live in code, such as 'default views'.

AJAX responder -- tools to make it easier for the server to handle AJAX requests
and tell the client what to do with them.

Form tools -- tools to make it easier for forms to deal with AJAX.

Object caching -- tool to make it easier to edit an object
across multiple page requests and cache the editing work.

Contexts -- the notion of wrapping objects in a unified wrapper
and providing an API to create and accept these contexts as input.

Modal dialog -- tool to make it simple to put a form in a modal dialog.

Dependent -- a simple form widget to make form items appear
and disappear based upon the selections in another item.

Content -- plug-gable content types used as panes in Panels
and other modules like Dashboard.

Form wizard -- an API to make multiple-step forms much easier.

CSS tools -- tools to cache and sanitize CSS easily to make user-input CSS safe.

%prep
%setup -qn ctools
chmod -x ctools.module
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/ctools
cp -pr * %{buildroot}%{drupaldir}/modules/ctools
find %{buildroot} -size 0 -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt CHANGELOG.txt API.txt
%exclude %{drupaldir}/modules/ctools/*.txt
%{drupaldir}/modules/ctools

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Peter Borsa <peter.borsa@gmail.com> - 1.10-1
- Fix BZ#881987
- Fix BZ#881988

* Thu Aug 16 2012 Peter Borsa <peter.borsa@gmail.com> - 1.9-1
- New upstream version.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Borsa <asrob@alice> - 1.8-6
- Lang macro is added.

* Thu Jan 27 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-5
- Replaced version numbers to version macro.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-4
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Wed Jan 19 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-3
- Fixed License field.

* Sat Jan 8 2011 Peter Borsa <peter.borsa@gmail.com> - 1.8-2
- Additional adjustments in the spec file

* Sun Dec 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.8-1
- Initial packaging.
